version: '3'
services:
  users-wrench:
    image: registry.chiefsoft.net/wrenchboard-users-wrench:latest
    build:
      context: .
      dockerfile: Dockerfile
      args:
        - NODE_ENV=production
    restart: unless-stopped
    ports:
      - 9082:3000
     # - 3800:3011
    # stdin_open: true
    working_dir: /usr/src/app
    volumes:
      - ./:/usr/src/app
      - ./src/:/usr/src/app/src
      - ./run.sh:/usr/src/app/run.sh
    extra_hosts:
      - backend.wrenchboard.api.live:10.10.33.15
      - backend.wrenchboard.api.test:10.10.33.15
      - apigate.lotus.g1.wrenchboard.com:10.10.33.15
      - apigate.orion.g1.wrenchboard.com:10.10.33.15
      # #- backend.wrenchboard.api.live:172.31.4.27
      # #- backend.wrenchboard.api.test:10.20.30.27
      - apigateway.wrenchboard.app.dev.fluxtra.net:10.20.30.19
      - apigateway.wrenchboard.app.lotus.fluxtra.net:172.31.4.19
    environment:
      - CHOKIDAR_USEPOLLING=true
      - NODE_ENV=${NODE_ENV:-production}
   # volumes:
   #   - ./:/app
   #   - /app/node_modules
    tty: true
    stdin_open: true
    # working_dir: /app
volumes:
  src:
